How to increase the density of grip points for GripObject?

Hi every one,

When I transform grip points of some GripObject, these surfaces break suddenly
(see the following figure)?   I doubt the density of grip points are sparse....so ....
how to increase the density of grip points?

Best Regards,
Jerry

Update…I find that these grip points of surface are very sparse … see the
following figure…

Try using the Rebuild command. Is this what you want?

Thanks dale…But I try to the following code, grip points are still not change?

objRef_1(0).Object().GripsOn = True
Dim u_degree, v_degree, u_count, v_count As Integer
Dim brep_test As Rhino.Geometry.Brep
Dim nurbs_test As Rhino.Geometry.NurbsSurface
brep_test = objRef_1(0).Object.Geometry
For i = 0 To brep_test.Faces.Count - 1
nurbs_test = brep_test.Faces(i).ToNurbsSurface()
'
u_degree = nurbs_test.Degree(0)
v_degree = nurbs_test.Degree(1)
'
u_count = nurbs_test.Points.CountU
v_count = nurbs_test.Points.CountV

nurbs_test.Rebuild(u_degree, v_degree, u_count * 50, v_count * 50)
Next i
docc.Objects.GripUpdate(objRef_1(0).Object, True)

I find that the brep_test_Face(0) is seem read only…I must set a new nurbssurface
to receive the new rebuild surface…but the new rebuild surface only a nurbs untrim surface…
how to really rebuild the old Face?

nurbs_test1 = nurbs_test.Rebuild(u_degree, v_degree, u_count * 50, v_count * 50)
nurbs_test1 really change…but nurbs_test is not

Can you post your geometry?

In fact, I hope the rhino manipulation procedure could write a plugin program to auto finish,
see the following figure, but how to do?